//////////////////////////////////////////////////////////////////////////////
//
//  Xilinx, Inc. 2002                 www.xilinx.com
//
//  XAPP 228 - Quad port RAM in Virtex devices
//
//////////////////////////////////////////////////////////////////////////////
//
//  File name :       tb_top_v2.vhd
//
//  Description :     Testbench for example top-level for quad-port memory in VirtexII
//
//  Date - revision : 09/17/2002 - v 1.0
//
//  Author :          NJS
//
//  Contact : e-mail  hotline@xilinx.com
//            phone   + 1 800 255 7778
//
//  Disclaimer: LIMITED WARRANTY AND DISCLAMER. These designs are
//              provided to you "as is". Xilinx and its licensors makeand you
//              receive no warranties or conditions, express, implied,
//              statutory or otherwise, and Xilinx specificallydisclaims any
//              implied warranties of merchantability, non-infringement,or
//              fitness for a particular purpose. Xilinx does notwarrant that
//              the functions contained in these designs will meet your
//              requirements, or that the operation of these designswill be
//              uninterrupted or error free, or that defects in theDesigns
//              will be corrected. Furthermore, Xilinx does not warrantor
//              make any representations regarding use or the results ofthe
//              use of the designs in terms of correctness, accuracy,
//              reliability, or otherwise.
//
//              LIMITATION OF LIABILITY. In no event will Xilinx or its
//              licensors be liable for any loss of data, lost profits,cost
//              or procurement of substitute goods or services, or forany
//              special, incidental, consequential, or indirect damages
//              arising from the use or operation of the designs or
//              accompanying documentation, however caused and on anytheory
//              of liability. This limitation will apply even if Xilinx
//              has been advised of the possibility of such damage. This
//              limitation shall apply not-withstanding the failure ofthe
//              essential purpose of any limited remedies herein.
//
//  Copyright  2002 Xilinx, Inc.
//  All rights reserved
//
//////////////////////////////////////////////////////////////////////////////
//
`timescale 1 ps / 1ps

module tb_top_v2 ;

reg 		clkbd, clkac ;
reg 		rst ;
wire 	[15:0] 	dob, dod ;
wire 	[1:0] 	dopb, dopd ;
wire 		lock ;

initial clkac = 0 ;
initial clkbd = 0 ;

always #(5000) clkac = ~clkac ; // 133 MHz
always #(4000) clkbd = ~clkbd ; // 133 MHz

top_v2 chip (
	.rstin(rst),
	.clkacin(clkac),
	.clkbdin(clkbd),
	.locked(lock));

initial
begin
rst = 1'b0 ;

#5000
rst = 1'b1 ;

//$stop ;
end

endmodule
