------------------------------------------------------------------------------
--
--  Xilinx, Inc. 2002                 www.xilinx.com
--
--  XAPP 228 - Quad port RAM in Virtex devices
--
------------------------------------------------------------------------------
--
--  File name :       tb_top_v2.vhd
--
--  Description :     Testbench for example top-level for quad-port memory in VirtexII
--
--  Date - revision : 09/17/2002 - v 1.0
--
--  Author :          NJS
--
--  Contact : e-mail  hotline@xilinx.com
--            phone   + 1 800 255 7778
--
--  Disclaimer: LIMITED WARRANTY AND DISCLAMER. These designs are
--              provided to you "as is". Xilinx and its licensors makeand you
--              receive no warranties or conditions, express, implied,
--              statutory or otherwise, and Xilinx specificallydisclaims any
--              implied warranties of merchantability, non-infringement,or
--              fitness for a particular purpose. Xilinx does notwarrant that
--              the functions contained in these designs will meet your
--              requirements, or that the operation of these designswill be
--              uninterrupted or error free, or that defects in theDesigns
--              will be corrected. Furthermore, Xilinx does not warrantor
--              make any representations regarding use or the results ofthe
--              use of the designs in terms of correctness, accuracy,
--              reliability, or otherwise.
--
--              LIMITATION OF LIABILITY. In no event will Xilinx or its
--              licensors be liable for any loss of data, lost profits,cost
--              or procurement of substitute goods or services, or forany
--              special, incidental, consequential, or indirect damages
--              arising from the use or operation of the designs or
--              accompanying documentation, however caused and on anytheory
--              of liability. This limitation will apply even if Xilinx
--              has been advised of the possibility of such damage. This
--              limitation shall apply not-withstanding the failure ofthe
--              essential purpose of any limited remedies herein.
--
--  Copyright  2002 Xilinx, Inc.
--  All rights reserved
--
------------------------------------------------------------------------------
--
library ieee;
USE ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all ;

ENTITY tb_top_v2 IS end tb_top_v2;

ARCHITECTURE rtl OF tb_top_v2 IS
component top_v2 port (
	rstin		: in std_logic ;	-- reset input (active low)
	clkacin 	: in std_logic;		-- clock for ports a and c
	clkbdin 	: in std_logic;		-- clock for ports b and d (faster in this example)
	matchab		: out std_logic ;	-- A to B transfer working
	matchcd		: out std_logic ;	-- C to D transfer working
	locked		: out std_logic);	-- DCMs locked
end component;

signal clkbd, clkac : std_logic := '0';
signal rst : std_logic := '0' ;
SIGNAL dob, dod : std_logic_vector(15 downto 0) ;
SIGNAL dopb, dopd : std_logic_vector(1 downto 0) ;
signal lock : std_logic ;

BEGIN

clkac <= not clkac after 4.0 ns ; 	-- 125 Mhz
clkbd <= not clkbd after 3.3 ns ; 	-- 150 Mhz
rst <= '1' after 10 nS;

chip : top_v2 port map (
	rstin		=> rst,
	clkacin		=> clkac,
	clkbdin		=> clkbd,
	matchab		=> open,
	matchcd		=> open,
	locked		=> lock);

end rtl;
